=== debian/changelog ===
libtree (3.0.2-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Thu, 17 Feb 2022 14:55:23 +0100

libtree (3.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1004927)

 -- Gürkan Myczko <tar@debian.org>  Thu, 03 Feb 2022 19:18:08 +0100
