=== debian/control ===
Source: libtree
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/haampie/libtree
#Vcs-Browser: https://salsa.debian.org/debian/libtree
#Vcs-Git: https://salsa.debian.org/debian/libtree.git
Rules-Requires-Root: no

Package: libtree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ldd as a tree
 This is tool like ldd with these features:
 - turns ldd into a tree
 - explains why shared libraries are found and why not
