=== tests/03_direct_and_absolute_rpath/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LD_LIBRARY_PATH:=
+LD_LIBRARY_PATH=
 
 .PHONY: clean
 
@@ -6,7 +6,7 @@
 
 some_dir/lib_f.so:
 	mkdir some_dir
-	echo 'int f(){return 42;}' | $(CC) -shared -Wl,-soname,$(notdir $@) -Wl,--no-as-needed -o $@ -x c -
+	echo 'int f(){return 42;}' | $(CC) -shared -Wl,-soname,$(@F) -Wl,--no-as-needed -o $@ -x c -
 
 lib_g.so: some_dir/lib_f.so
 	echo 'extern int f(); int g(){return f();}' | $(CC) -shared -Wl,-soname,$@ -Wl,--no-as-needed "-Wl,-rpath,$(CURDIR)/some_dir" -L./some_dir -l_f -o $@ -x c -
@@ -21,9 +21,10 @@
 	echo 'extern int i(); extern int f(); extern int g(); int main(){return f() + g() + i();}' | $(CC) -Wl,--no-as-needed "-Wl,-rpath,$(CURDIR)/" "-Wl,-rpath,$(CURDIR)/some_dir" -L. -L./some_dir -l_f -l_g $(CURDIR)/lib_without_soname.so -o $@ -x c -
 
 check: exe_a exe_b
-	../../libtree exe_a || true # cannot find lib_f.so
-	../../libtree exe_b || true # should find lib_f.so
+	! ../../libtree exe_a # cannot find lib_f.so
+	../../libtree exe_b # should find lib_f.so
 
 clean:
 	rm -rf *.so some_dir exe*
 
+CURDIR ?= $(.CURDIR)
