=== debian/changelog ===
libtree (3.1.1-4) unstable; urgency=medium

  * Bump standards version to 4.7.2.
  * d/control: drop Rules-Requires-Root.
  * d/copyright: bump year.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 14:35:04 +0000

libtree (3.1.1-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:44:17 +0000

libtree (3.1.1-2) unstable; urgency=medium

  * Fix FTBFS, thanks for the patch, Long Eric. (Closes: #1015715)

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 Aug 2022 10:01:27 +0200

libtree (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.1.
  * d/control: add Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Wed, 18 May 2022 12:35:04 +0200

libtree (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Mar 2022 08:29:01 +0100

libtree (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <tar@debian.org>  Fri, 25 Feb 2022 12:15:18 +0100
