=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: haampie
Project: libtree
Update-Script: uupdate
